Loading...
Searching...
No Matches
RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator Class Reference

`#include <Tautomer.h>`

## Public Types

typedef ROMOL_SPTR | value_type
typedef std::ptrdiff_t | difference_type
typedef const ROMol * | pointer
typedef const ROMOL_SPTR & | reference
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions

| const_iterator (const SmilesTautomerMap::const_iterator &it)
reference | operator* () const
pointer | operator-> () const
bool | operator== (const const_iterator &other) const
bool | operator!= (const const_iterator &other) const
const_iterator | operator++ (int)
const_iterator & | operator++ ()
const_iterator | operator-- (int)
const_iterator & | operator-- ()

## Detailed Description

Definition at line 191 of file MolStandardize/Tautomer.h.

## Member Typedef Documentation

## difference_type

typedef std::ptrdiff_t RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::difference_type

Definition at line 194 of file MolStandardize/Tautomer.h.

## iterator_category

typedef std::bidirectional_iterator_tag RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::iterator_category

Definition at line 197 of file MolStandardize/Tautomer.h.

## pointer

typedef const ROMol* RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::pointer

Definition at line 195 of file MolStandardize/Tautomer.h.

## reference

typedef const ROMOL_SPTR& RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::reference

Definition at line 196 of file MolStandardize/Tautomer.h.

## value_type

typedef ROMOL_SPTR RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::value_type

Definition at line 193 of file MolStandardize/Tautomer.h.

## Constructor & Destructor Documentation

## const_iterator()

RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::const_iterator | ( | const SmilesTautomerMap::const_iterator & | it | ) |

inline explicit

Definition at line 199 of file MolStandardize/Tautomer.h.

Referenced by operator!=(), operator++(), operator++(), operator--(), operator--(), and operator==().

## Member Function Documentation

## operator!=()

bool RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator!= | ( | const const_iterator & | other | ) | const

inline

Definition at line 206 of file MolStandardize/Tautomer.h.

References const_iterator().

## operator*()

reference RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator* | ( |  | ) | const

inline

Definition at line 201 of file MolStandardize/Tautomer.h.

## operator++() [1/2]

const_iterator & RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator++ | ( |  | ) |

inline

Definition at line 214 of file MolStandardize/Tautomer.h.

References const_iterator().

## operator++() [2/2]

const_iterator RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 209 of file MolStandardize/Tautomer.h.

References const_iterator(), and operator++().

Referenced by operator++().

## operator--() [1/2]

const_iterator & RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator-- | ( |  | ) |

inline

Definition at line 223 of file MolStandardize/Tautomer.h.

References const_iterator().

## operator--() [2/2]

const_iterator RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator-- | ( | int |  | ) |

inline

Definition at line 218 of file MolStandardize/Tautomer.h.

References const_iterator(), and operator--().

Referenced by operator--().

## operator->()

pointer RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator-> | ( |  | ) | const

inline

Definition at line 202 of file MolStandardize/Tautomer.h.

## operator==()

bool RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator::operator== | ( | const const_iterator & | other | ) | const

inline

Definition at line 203 of file MolStandardize/Tautomer.h.

References const_iterator().

The documentation for this class was generated from the following file:

- MolStandardize/Tautomer.h